<?php
/**
 * Options Page
 * Renders the settings page contents.
 */
?>
<div class="wrap">

	<h2><?php echo esc_html( get_admin_page_title() ); ?> </h2>

	<?php settings_errors( $this->dbmc . '-notices' ); ?>

	<h2 class="nav-tab-wrapper">
		
		<?php foreach ( $tabs as $tab_slug => $tab_name ) : ?>
			<?php $tab_url = add_query_arg( array( 'settings-updated' => false, 'tab' => $tab_slug ) ); ?>
			<?php $active = $active_tab == $tab_slug ? ' nav-tab-active' : ''; ?>
			<a href="<?php echo esc_url( $tab_url ); ?>" title="<?php echo esc_attr( $tab_name ); ?>" class="nav-tab<?php echo $active; ?>"><?php echo esc_html( $tab_name ); ?></a>
		<?php endforeach; ?>
		
	</h2>

	<div id="poststuff">

		<div id="post-body" class="metabox-holder">

			<div id="postbox-container" class="postbox-container">

				<?php do_meta_boxes( 'dbmc_settings_' . $active_tab, 'normal', $active_tab ); ?>

			</div>

		</div>

	</div>

</div>
