<?php

class Dbmc_Meta_Box {

	/**
	 * The name of this plugin
	 * @var string
	 */
	private $dbmc;

	/**
	 * Array of the settings tab
	 * @var array
	 */
	private $options_tabs;

	/**
	 * Initialize the class and set its properties
	 * @param string $dbmc The name of this plugin
	 */
	public function __construct( $dbmc ) {

		$this->dbmc = $dbmc;
		$this->options_tabs = Dbmc_Settings_Definition::get_tabs();

	}

	/**
	 * Register the meta boxes on the settings page
	 */
	public function add_meta_boxes() {

		foreach ( $this->options_tabs as $tab_id => $tab_name ) {

			add_meta_box(
					$tab_id,							// Meta box ID
					$tab_name,							// Meta box Title
					array( $this, 'render_meta_box' ),	// Callback defining the plugin's innards
					'dbmc_settings_' . $tab_id, 			// Screen to which to add the meta box
					'normal'							// Context
					);

		}

	}

	/**
	 * Render the meta box html
	 * @param  string $active_tab The active tab
	 * @return html               The meta box HTML partial
	 */
	public function render_meta_box( $active_tab ) {

		require_once( plugin_dir_path( dirname( __FILE__ ) ) . 'partials/' . $this->dbmc . '-meta-box-display.php' );
	
	}

}
