<?php

class Dbmc_Api {

	/**
	 * The ID of this plugin
	 * @var string
	 */
	private $dbmc;
	
	/**
	 * The version of this plugin
	 * @var string
	 */
	private $version;
	
	/**
	 * Initialize the class and set its properties
	 * @param string $dbmc     The name of this plugin
	 * @param string $version The version of this plugin
	 */
	public function __construct( $dbmc, $version ) {

		$this->dbmc = $dbmc;
		$this->version = $version;

	}

	public function get_option( $name = null ) {

		if ( ! $name ) {

			return false;

		}

		return Dbmc_Option::get_option( $name );

	}

	public function rest($action = null, $method = 'GET', $content = null) {

		if ( ! $action ) {

			return false;

		}

		$options = array(
			'http' => array(
				'ignore_errors' => true,
				'method' => $method,
				'header' => array(
					'Authorization: apikey ' . apply_filters( 'dbmc_api_get_api_key', Dbmc_Option::get_option( 'dbmc_api_key' ) ),
					),
				),
			);

		if ( $method == 'POST' OR $method == 'PUT' OR $method = 'PATCH' ) {

			$options['http']['header'][] = 'Content-Type: application/json';
			$options['http']['content'] = json_encode( $content );

		}

		$context = stream_context_create( $options );
		$response = file_get_contents( apply_filters( 'dbmc_api_get_api_url', $this->get_api_url() ) . $action, false, $context );
		$response = json_decode( $response );

		return $response;

	}

	private function get_api_url() {

		$api_key = Dbmc_Option::get_option( 'dbmc_api_key' );
		$server = explode( '-', $api_key);

		return 'https://' . $server[ count( $server ) - 1 ] . '.api.mailchimp.com/3.0/';

	}

}
