<?php

/**
 * Plugin Name:       DB - Mailchimp API
 * Plugin URI:        https://www.directbasing.com/
 * Description:       WordPress wrapper for the Mailchimp v3 API
 * Version:           1.0.1
 * Author:            Direct Basing
 * Author URI:        https://www.directbasing.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       dbmc
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-dbmc-activator.php
 */
function activate_dbmc() {

	require_once plugin_dir_path( __FILE__ ) . 'includes/class-dbmc-activator.php';
	Dbmc_Activator::activate();

}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-dbmc-deactivator.php
 */
function deactivate_dbmc() {

	require_once plugin_dir_path( __FILE__ ) . 'includes/class-dbmc-deactivator.php';
	Dbmc_Deactivator::deactivate();

}

register_activation_hook( __FILE__, 'activate_dbmc' );
register_deactivation_hook( __FILE__, 'deactivate_dbmc' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-dbmc.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 */
function run_dbmc() {

	$plugin = new Dbmc();
	$plugin->run();

}

run_dbmc();
